/*****************************************************************************
  FILE           : d3_light.ph
  SHORTNAME      : light.h
  SNNS VERSION   : 3.0

  PURPOSE        : private header for d3_light.c
  NOTES          :

  AUTHOR         : Ralf Huebner
  DATE           : 1.12.1991

  CHANGED BY     : Sven Doering
  IDENTIFICATION : @(#)d3_light.ph	1.3 3/24/93
  SCCS VERSION   : 1.3
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _D3_LIGHT_DEFINED_
#define _D3_LIGHT_DEFINED_

/* begin global definition section */

void d3_createLightPannel (Widget w, Widget button, caddr_t call_data);

/* end global definition section */

/* begin private definition section */

static Widget lightXwidget, lightYwidget, lightZwidget;
static Widget lightIaWidget, lightKaWidget, lightIpWidget, lightKdWidget;

static d3_state_type temp_state;

/* end private definition section */

#endif 



/* end of file */
/* lines: 26 */
