/*****************************************************************************
  FILE           : d3_links.ph
  SHORTNAME      : links.ph
  SNNS VERSION   : 3.0

  PURPOSE        : header for d3_links.c 
  NOTES          :

  AUTHOR         : Ralf Huebner 
  DATE           : 1.12.1991

  CHANGED BY     : Sven Doering
  IDENTIFICATION : @(#)d3_links.ph	1.3 3/24/93
  SCCS VERSION   : 1.3
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _D3_LINKS_DEFINED_
#define _D3_LINKS_DEFINED_

/* begin global definition section */

void d3_createLinkPannel (Widget w, Widget button, caddr_t call_data);

/* end global definition section */

/* begin private definition section */

static Widget linksOnButton, linksOffButton, linksLabelButton, linksColorButton;
static Widget fontSmallButton, fontBigButton;

static d3_state_type temp_state;

/* end private definition section */

#endif 






/* end of file */
/* lines: 25 */
