/*****************************************************************************
  FILE           : ui_event.h
  SHORTNAME      : event.h
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 5.6.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_event.h	1.6 3/24/93
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_EVENT_DEFINED_
#define _UI_EVENT_DEFINED_




extern void ui_mw_eventProc (Widget, struct Ui_DisplayType *, XEvent *);
extern void ui_can_MapEventProc (Widget,  struct Ui_DisplayType *, XEvent *);


extern StateType       ui_key_currentState;     /* current state of automat */
extern StateType       ui_key_returnUnitState;  /* return state of commands
                                                   starting with "Units" */
extern struct PosType  ui_key_eventPos;     /* position of current key event */
extern Bool            ui_outlineActive;    /* TRUE: outline of all selected
                                              units is visible */
extern FlagType        ui_key_action;       /* which action: MOVE or COPY */

extern Bool     ui_infoIsCreated;           /* info panel was created */
extern struct Ui_DisplayType *ui_currentDisplay;

extern GC       ui_gc;        /* xgui graphic context */
extern Display  *ui_display;  /* X display, not a XGUI display !! */

extern struct UnitAttributeType    ui_sourceUnit, ui_targetUnit;
                              /* attributes of source/target unit shown in the
                                 info panel */

extern unsigned long *ui_col_mainCells[];
extern Bool          ui_col_colorDisplay;
extern struct PosType  ui_pixPosMouse, ui_gridPosMouse; /* current mouse 
							position */






#endif /* _UI_EVENT_DEFINED_ */



/* end of file */
/* lines: 27 */

/* 67 lines generated by deleteprivatedefinitions.awk */
