/*****************************************************************************
  FILE           : ui_layerP.ph
  SHORTNAME      : layerP.ph
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 1.2.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_layerP.ph	1.4 3/24/93
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_LAYERP_DEFINED_
#define _UI_LAYERP_DEFINED_


/* begin global definition section */


void ui_layer_initLayerNames(void);
void ui_layer_setLayerNames(void);


/* value indicating the state off all buttons in the layer panel */
unsigned short ui_layerReturnValue;
/* array of layer names */
char      ui_layerNames[MAX_NO_LAYERS][MAX_NAME_LENGTH];


/* end global definition section */


/* begin private definition section */


/* end private definition section */


#endif /* _UI_LAYERP_DEFINED_ */


/* end of file */
/* lines: 28 */
