/*****************************************************************************
  FILE           : ui_xWidgets.h
  SHORTNAME      : xWidgets 
  SNNS VERSION   : 3.0

  PURPOSE        : Private Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer 
  DATE           : 13.7.1990

  CHANGED BY     : Sven Doering
  IDENTIFICATION : @(#)ui_xWidgets.h	1.5 3/24/93
  SCCS VERSION   : 1.5
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/

/*Bool     ui_xIsRealized();*/
void     ui_xSetResize(Widget widget,Boolean state);
void     ui_xSetLabel(Widget widget,char *newLabel);
void     ui_xSetString(Widget widget,char *contents);
void     ui_xStringFromAsciiWidget(Widget widget,char *stringVar,int maxLen);
float    ui_xFloatFromAsciiWidget(Widget widget);
int      ui_xIntFromAsciiWidget(Widget widget);
void     ui_xGetDimensions(Widget widget,Dimension *width,Dimension *height);
Bool     ui_xGetToggleState(Widget w);
void     ui_xSetToggleState(Widget w,Bool state);
void     ui_xAddListEntry(struct SimpleListType *listDescriptorPtr,String string);

Widget   ui_xCreateLabelItem(char *name,Widget parent,Dimension width,Widget left,Widget top);
Widget   ui_xCreateFrameLabelItem(char *name,Widget parent,Dimension width,Widget left,Widget top);
Widget   ui_xCreateDialogItem(char *name,Widget parent,char *contents,Dimension  width,Widget left,Widget top);     /* AsciiText string edit */
Widget   ui_xCreateButtonItem(char *name,Widget parent,Widget left,Widget top);
Widget   ui_xCreateMenuButtonItem(char *name,Widget parent,Widget left,Widget top);
Widget   ui_xCreateToggleItem(char *name,Widget  parent,Widget  group,Widget  left,Widget  top);
Widget   ui_xCreateScrollbarItem(char *name,Widget parent,Dimension length,float topOfThumb,Widget left,Widget top);





/* end of file */
/* lines: */





/* 52 lines generated by deleteprivatedefinitions.awk */
