/*****************************************************************************
  FILE           : kr_inversion.h
  SHORTNAME      : 
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Guenter Mamier
  DATE           : 29.02.92

  CHANGED BY     : Sven Doering
  IDENTIFICATION : @(#)kr_inversion.h	1.7 3/24/93
  SCCS VERSION   : 1.7
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _KR_INVERSION_DEFINED_
#define  _KR_INVERSION_DEFINED_



/* required functions that are declared here */

extern int    krui_initInversion(void);
extern void   krui_inv_forwardPass(void);
extern double krui_inv_backwardPass(float learn, float delta_max, int *err_units, float ratio);

#endif 
