/*****************************************************************************
  FILE           : kr_td.h
  SHORTNAME      : 
  SNNS VERSION   : 3.0

  PURPOSE        : Time delay learning and propagation functions
  NOTES          :

  AUTHOR         : Guenter Mamier
  DATE           : 20.02.93

  CHANGED BY     : Michael Vogt
  IDENTIFICATION : @(#)kr_td.h	1.3 3/24/93
  SCCS VERSION   : 1.3
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/

#ifndef _KR_TD_DEFINED_
#define  _KR_TD_DEFINED_

extern void        propagateTDNetForward(int pattern_no);
extern krui_err    LEARN_TDbackprop(int start_pattern, 
				    int end_pattern, 
				    float parameterInArray[],
				    int NoOfInParams,
				    float * *parameterOutArray, 
				    int *NoOfOutParams );

#endif 
