/*****************************************************************************
  FILE           : d3_model.ph
  SHORTNAME      : model.ph
  SNNS VERSION   : 3.0

  PURPOSE        :
  NOTES          :

  AUTHOR         : Ralf Huebner
  DATE           : 1.12.1991

  CHANGED BY     :
  IDENTIFICATION : @(#)d3_model.ph	1.3 3/24/93
  SCCS VERSION   : 1.3
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/


#ifndef _D3_MODEL_DEFINED_
#define _D3_MODEL_DEFINED_


/* begin global definition section */


void d3_createModelPannel (Widget w, Widget button, caddr_t call_data);


/* end global definition section */


/* begin private definition section */


static void setModelToggleState (void);
static void d3_closeModelPannel (Widget w, Widget pannel, caddr_t call_data);
static void setModelWire (void);
static void setModelSolid (void);


static Widget solidButton, wireButton;

static d3_state_type temp_state;


/* end private definition section */


#endif /* _D3_MODEL_DEFINED_ */


/* end of file */
/* lines: 16 */
