/*****************************************************************************
  FILE           : d3_pannels.ph
  SHORTNAME      : pannels.ph
  SNNS VERSION   : 3.0

  PURPOSE        : header for d3_pannels.c
  NOTES          : all functions will be exported

  AUTHOR         : Ralf Huebner
  DATE           : 1.12.1991

  CHANGED BY     :
  IDENTIFICATION : @(#)d3_pannels.ph	1.3 3/24/93
  SCCS VERSION   : 1.3
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _D3_PANNELS_DEFINED_
#define _D3_PANNELS_DEFINED_


/* begin global definition section */


void d3_displayGraphic (void);  /* 3D entry point */


/* end global definition section */


/* begin private definition section */


static void d3_doneProc (void);
static void d3_toggleFreezeButton (Widget w, Widget button, caddr_t call_data);
static void d3_createButtonPannel (Widget parent);
static void d3_createControlPannel (Widget parent);

static Widget d3_controlWidget;


/* end private definition section */


#endif /* _D3_PANNELS_DEFINED_ */


/* end of file */
/* lines: 25 */
