/*****************************************************************************
  FILE           : ui_edit.h
  SHORTNAME      : edit.h
  SNNS VERSION   : 3.0

  PURPOSE        : callbacks for editing sites and f-types
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 25.9.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_edit.h	1.6 3/24/93
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_EDIT_DEFINED_
#define _UI_EDIT_DEFINED_




extern void  ui_edit_selectFunction (Widget, int, caddr_t);
extern void  ui_edit_setSite (Widget, struct SimpleListType *, caddr_t);
extern void  ui_edit_listSetSite (Widget, int, XawListReturnStruct *);
extern void  ui_edit_setCurrentSite (char *);
extern void  ui_edit_newSite (Widget, struct SimpleListType *, caddr_t);
extern void  ui_edit_deleteSite (Widget, struct SimpleListType *, caddr_t);

extern void  ui_edit_displayFirstFType (struct SimpleListType *);

extern void  ui_edit_ftypeAddSite (Widget, struct SimpleListType *, caddr_t);
extern void  ui_edit_ftypeDeleteSite (Widget, struct SimpleListType *, caddr_t);
extern void  ui_edit_chooseFType (Widget, struct SimpleListType *, caddr_t);
extern void  ui_edit_setFType (Widget, struct SimpleListType *, caddr_t);
extern void  ui_edit_newFType (Widget, struct SimpleListType *, caddr_t);
extern void  ui_edit_deleteFType (Widget, struct SimpleListType *, caddr_t);


	/* widgets in the edit panels */
extern Widget ui_edit_siteFuncNameWidget, ui_edit_siteNameWidget;
extern Widget ui_edit_actFuncNameWidget, ui_edit_outFuncNameWidget;
extern Widget ui_edit_ftypeNameWidget;

	/* list return values */
extern int    ui_list_returnIndex;

extern int    ui_kernelError; /* last reported kernel error */

	/* the following values are available after */
	/* the call of ui_list_buildList */
extern int   ui_list_noOfFtypes;     /* no of ftypes reported by the kernel */
extern int   ui_list_noOfSites;      /* no of sites reported by the kernel */
extern int   ui_list_noOfFTypeSites; /* no of sites at this ftype */

	/* names */
extern char    ui_edit_siteName[];
extern char    ui_edit_siteFuncName[];



#endif /* _UI_EDIT_DEFINED_ */


/* end of file */
/* lines: 40 */

/* 77 lines generated by deleteprivatedefinitions.awk */
