/*****************************************************************************
  FILE           : ui_remote.ph
  SHORTNAME      : remote.ph
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 20.7.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_remote.ph	1.4 3/24/93
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_REMOTE_DEFINED_
#define _UI_REMOTE_DEFINED_


/* begin global definition section */


void  ui_xCreateRemotePanel(Widget parent);


/* shell widget of remote panel */
Widget    ui_remotePanel;
/* ascii and label widgets containing/displaying data */
Widget    ui_numberOfStepsWidget, ui_numberOfStepsDoneWidget;
Widget    ui_numberOfCyclesWidget, ui_numberOfPatternWidget;
Widget    ui_showModeLabel;
Widget    ui_learnParameterWidgets[UI_NO_LEARN_PARAMS];
Widget    ui_updateParameterWidgets[UI_NO_UPDATE_PARAMS];
/* current configuration of remote panel */
int       ui_noOfCurrentPattern = 0;  /* number of current pattern
                                         0 means, no patterns loaded */
int       ui_patternLoadMode    = OUTPUT_ACT;
int       ui_numberOfStepsDone  = 0;
float     ui_learnParameters[UI_NO_LEARN_PARAMS+UI_NO_OF_CASCADE_PARAMS] = {
			    0.2, 0.0, 0.0, 0.0, 0.0 };
float     ui_updateParameters[UI_NO_UPDATE_PARAMS] = {
			    0.0, 0.0, 0.0, 0.0, 0.0 };
float     ui_initParameters[UI_NO_INIT_PARAMS] = {
			    1.0, -1.0, 0.0, 0.0, 0.0 };
Bool      ui_shuffleFlg         = FALSE;
Bool      ui_remoteIsCreated    = FALSE;


/* end global definition section */


/* begin private definition section */


static int       ui_numberOfCycles     = 1;
static int       ui_numberOfSteps      = 1;


/* end private definition section */


#endif /* _UI_REMOTE_DEFINED_ */


/* end of file */
/* lines: 25 */
