/*****************************************************************************
  FILE           : ui_remoteP.h
  SHORTNAME      : remoteP.h
  SNNS VERSION   : 3.0
  
  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 18.7.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_remoteP.h	1.7 3/24/93
  SCCS VERSION   : 1.7
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_REMOTEP_DEFINED_
#define _UI_REMOTEP_DEFINED_




extern void ui_rem_displayPatternNumber (void);
extern void ui_rem_resetCounter (void);
extern void ui_rem_resetNet (Widget w, XtPointer button, caddr_t call_data);
extern void ui_rem_doInitialization (Widget w, caddr_t client_data, caddr_t call_data);
extern void ui_rem_deleteNet (Widget w, caddr_t client_data, caddr_t call_data);
extern void  ui_rem_stepsProc (Widget widget, Bool multiStepPressed, caddr_t call_data);
extern void ui_rem_moveInPatternsProc (Widget w, int moveType, caddr_t call_data);
extern void ui_rem_testProc (Widget w, XtPointer button, caddr_t call_data);
extern void ui_rem_deleteAllPatternsProc (Widget w, XtPointer button, 
					caddr_t call_data);
extern void ui_rem_modifyPatternProc (Widget w, XtPointer button, caddr_t call_data);
extern void ui_rem_deletePatternProc (Widget w, XtPointer button, caddr_t call_data);
extern void ui_rem_newPatternProc (Widget w, XtPointer button, caddr_t call_data);
extern void ui_rem_learnProc (Widget w, int learnType, caddr_t call_data);
extern void  ui_rem_stopProc (Widget widget, caddr_t client_data, caddr_t call_data);
extern void ui_rem_shuffleProc (Widget w, caddr_t client, caddr_t call);
extern void ui_rem_showModeProc (Widget w, int value, caddr_t call_data);
extern void ui_rem_setRandomWeights (Widget w, int randomType, caddr_t call_data);
extern void ui_rem_getKernelInfo (Widget w, XtPointer button, caddr_t call_data);






#endif /* _UI_REMOTEP_DEFINED_ */


/* end of file */
/* lines: 42 */

/* 59 lines generated by deleteprivatedefinitions.awk */
