/*****************************************************************************
  FILE           : ui_status.ph
  SHORTNAME      : status.ph
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 1.2.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_status.ph	1.3 3/24/93
  SCCS VERSION   : 1.3
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_STATUS_DEFINED_
#define _UI_STATUS_DEFINED_


/* begin global definition section */


void ui_stat_displayStatus(struct PosType gridPos);


/* end global definition section */


/* begin private definition section */


static struct PosType ui_stat_oldPos; /* current displayed position */
static int            ui_stat_oldNumberOfSelectedItems = 0; /* current number ... */
static FlagType       ui_stat_oldFlags = 0;                 /* current flags */


/* end private definition section */


#endif /* _UI_STATUS_DEFINED_ */


/* end of file */
/* lines: 28 */
