/*****************************************************************************
  FILE           : ui_xGraphic.ph
  SHORTNAME      : xGraph.h
  SNNS VERSION   : 3.0

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 18.51990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_xGraphic.ph	1.3 3/24/93
  SCCS VERSION   : 1.3
  LAST CHANGE    : 3/24/93

             Copyright (c) 1990-1993  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_XGRAPHIC_DEFINED_
#define _UI_XGRAPHIC_DEFINED_


/* begin global definition section */


void   ui_xDeleteRect(Display *displ, Drawable d, GC gc, 
		struct PosType pixPos1, struct PosType pixPos2); 
void   ui_xDrawBox(Display *displ, Drawable d, GC gc, struct PosType pixPos1, 
		struct PosType pixPos2); 
void   ui_xDrawCrossBox(Display *displ, Drawable d, GC gc, 
		struct PosType pixPos1, struct PosType pixPos2);
void   ui_xDrawLine(Display *displ, Drawable d, GC gc, struct PosType pixPos1, 
		struct PosType pixPos2); 
void   ui_xDrawTriangle(Display *displ, Drawable d, GC gc, 
		struct PosType pixPos1, struct PosType pixPos2);
void   ui_xDrawPoint(Display *displ, Drawable d, GC gc, struct PosType pixPos1);
void   ui_xToggleBackingStore (Boolean toggle, Display *display, Window window);


/* end global definition section */


/* begin private definition section */


/* end private definition section */


#endif /* _UI_XGRAPHIC_DEFINED_ */


/* end of file */
/* lines: 23 */
